OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
VrmlData

# VrmlData_UnknownNode Class Reference

`#include <VrmlData_UnknownNode.hxx>`

Inheritance diagram for VrmlData_UnknownNode:

[legend]

## Public Member Functions
| VrmlData_UnknownNode ()
| VrmlData_UnknownNode (const VrmlData_Scene &theScene, const char *theName=0L, const char *theTitle=0L)
virtual Standard_EXPORT VrmlData_ErrorStatus | Read (VrmlData_InBuffer &theBuffer)
const TCollection_AsciiString & | GetTitle () const
virtual Standard_EXPORT Standard_Boolean | IsDefault () const
## Private Attributes
TCollection_AsciiString | myTitle

## Detailed Description

Definition of UnknownNode -- placeholder for node types that are not processed now.

## Constructor & Destructor Documentation

VrmlData_UnknownNode::VrmlData_UnknownNode | ( |  | ) | `[inline]`

| Empty Constructor.

VrmlData_UnknownNode::VrmlData_UnknownNode | ( | const VrmlData_Scene & | theScene,
|  | const char * | theName = `0L`,
|  | const char * | theTitle = `0L`
| ) | `[inline]`

| Constructor.

## Member Function Documentation

const TCollection_AsciiString& VrmlData_UnknownNode::GetTitle | ( |  | ) | const`[inline]`

| Query the title of the unknown node.

virtual Standard_EXPORT Standard_Boolean VrmlData_UnknownNode::IsDefault | ( |  | ) | const`[virtual]`

| Check if the Node is non-writeable -- always returns true. Reimplemented from VrmlData_Node.

virtual Standard_EXPORT VrmlData_ErrorStatus VrmlData_UnknownNode::Read | ( | VrmlData_InBuffer & | theBuffer | ) | `[virtual]`

| Read the unknown node, till the last closing brace of it. Implements VrmlData_Node.

## Field Documentation

TCollection_AsciiString VrmlData_UnknownNode::myTitle`[private]`

The documentation for this class was generated from the following file:

- VrmlData_UnknownNode.hxx